import { useContext } from 'react';
import { context } from './context';
/**
 * @example
 * ```ts
 * const useSometing = () => {
 *  const fusion = useFramework();
 *  return fusion.something;
 * }
 * ```
 */
export const useFramework = () => {
    let framework = useContext(context);
    if (!framework) {
        console.warn('could not locate fusion in context!');
    }
    framework !== null && framework !== void 0 ? framework : (framework = window.Fusion);
    if (!framework) {
        console.error('Could not load framework, might not be initiated?');
    }
    return framework;
};
export default useFramework;
//# sourceMappingURL=useFramework.js.map