import type { AppModulesInstance } from '@equinor/fusion-framework-module-app';
import type { AnyModule } from '@equinor/fusion-framework-module';
/**
 * Observers the stream of current app initialized modules
 *
 * __Warning:__ type hint templates are only hints, this does not check if the modules are actually enabled!
 *
 * @template TModule type hint modules which the application has configured
 * @returns the observable instance of initialized modules of the application
 */
export declare const useCurrentAppModules: <TModules extends Array<AnyModule> = []>() => {
    modules?: AppModulesInstance<TModules> | null;
    error?: unknown;
    complete: boolean;
};
export default useCurrentAppModules;
